Summary:	Multithreaded FTP client
Name:		gftp
Epoch:		1
Version:	2.9.1b
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/File transfer
URL:		http://www.gftp.org/
Source0:	https://github.com/masneyb/gftp/releases/download/%{version}/gftp-%{version}.tar.xz
Patch0:		gftp-datetime-fixedsort.patch
Patch1:		gftp-fix-desktop-file.patch
Patch3:		gftp-mageia-bookmarks.patch
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(openssl)

%description
gFTP is a multithreaded FTP client written using Gtk. It features
simultaneous downloads, resuming of interrupted file transfers, file transfer
queues, downloading of entire directories, ftp proxy support, remote directory
caching, passive and non-passive file transfers, drag-n-drop, bookmarks menu,
stop button, and many more features.


%prep
%autosetup -p1

#make autoreconf happy
mkdir -p autoconf-m4

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

# handled in files section
rm -rf %{buildroot}%{_docdir}/%{name}/LICENSE

# locale files
%find_lang %{name}

%files -f %{name}.lang
%license LICENSE
%doc AUTHORS ChangeLog README.md TODO docs/USERS-GUIDE
%{_bindir}/gftp*
%{_datadir}/gftp/
%{_datadir}/applications/gftp.desktop
%{_datadir}/icons/hicolor/*/apps/gftp.{png,svg}
%{_mandir}/man1/gftp.1*


%changelog
* Thu Apr 14 2022 wally <wally> 1:2.9.1b-2.mga9
+ Revision: 1849607
- remove non-working Mageia bookmarks

* Thu Apr 14 2022 wally <wally> 1:2.9.1b-1.mga9
+ Revision: 1849606
- new version 2.9.1b (mga#28754)
- rediffed patches partially based on the work done by Marcel Pol

* Sat Mar 26 2022 umeabot <umeabot> 1:2.0.19-25.mga9
+ Revision: 1828401
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1:2.0.19-24.mga9
+ Revision: 1747587
- rebuild for openssl 3.0.0

* Thu Nov 05 2020 wally <wally> 1:2.0.19-23.mga8
+ Revision: 1642885
- fix build with autoconf 269d

* Tue Feb 18 2020 umeabot <umeabot> 1:2.0.19-22.mga8
+ Revision: 1542134
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 1:2.0.19-21.mga8
+ Revision: 1475950
- rebuild for readline

* Wed Aug 21 2019 daviddavid <daviddavid> 1:2.0.19-20.mga8
+ Revision: 1430773
- add fedora patch to fix build with new glibc

* Sun Sep 23 2018 umeabot <umeabot> 1:2.0.19-19.mga7
+ Revision: 1297874
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 wally <wally> 1:2.0.19-18.mga7
+ Revision: 1189432
- rebuild for new readline

* Sat Sep 09 2017 cjw <cjw> 1:2.0.19-17.mga7
+ Revision: 1152143
- patch4: build with openssl 1.1

* Wed Mar 02 2016 umeabot <umeabot> 1:2.0.19-16.mga6
+ Revision: 983401
- Rebuild for openssl

* Thu Feb 11 2016 umeabot <umeabot> 1:2.0.19-15.mga6
+ Revision: 954050
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 akien <akien> 1:2.0.19-14.mga6
+ Revision: 873238
- Drop Debian unlock mutex error patch that makes gftp freeze after a transfer (mga#16213)

* Wed Oct 15 2014 umeabot <umeabot> 1:2.0.19-13.mga5
+ Revision: 747480
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 wally <wally> 1:2.0.19-12.mga5
+ Revision: 736408
- add patch from Debian bug tracker to fix crash when connecting to remote site

* Tue Sep 16 2014 umeabot <umeabot> 1:2.0.19-11.mga5
+ Revision: 679554
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:2.0.19-10.mga4
+ Revision: 504819
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:2.0.19-9.mga3
+ Revision: 351515
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 10 2011 ahmad <ahmad> 1:2.0.19-8.mga1
+ Revision: 82908
- apply patch0 (datetime-fixedsort)
- add some Mageia bookmarks (mga#760)

* Sat Feb 19 2011 wally <wally> 1:2.0.19-7.mga1
+ Revision: 54401
- drop mdv specific bookmarks patch
- fix license
- drop buildroot definition
- drop old mdv scriptlets
- clean .spec a bit
- imported package gftp

